# Summary

- [5CTF](./index.md)
- [Takeaways](./takeaways/index.md)
    - [Reverse Engineering](./takeaways/reverse_engineering.md)
    - [RSA](./takeaways/rsa.md)
- [Challenges](./challenges/index.md)
    - [Crypto](./challenges/crypto/index.md)
        - [Boardgames](./challenges/crypto/boardgames.md)
        - [Crypto Challenge](./challenges/crypto/crypto_challenge.md)
        - [Crypto Challenge 2](./challenges/crypto/crypto_challenge_2.md)
        - [Disorderly](./challenges/crypto/disorderly.md)
        - [RSA 101](./challenges/crypto/rsa_101.md)
        - [American Phi](./challenges/crypto/american_phi.md)
        - [Easy e](./challenges/crypto/easy_e.md)
        - [d-facto standard](./challenges/crypto/dfacto_standard.md)
        - [enCrypt Keeper](./challenges/crypto/encrypt_keeper.md)
        - [Speak Plainly](./challenges/crypto/speak_plainly.md)
        - [RSA 102](./challenges/crypto/rsa_102.md)
        - [Lack of Powers](./challenges/crypto/lack_of_powers.md)
        - [Flip-Flopper 1](./challenges/crypto/flipflopper_1.md)
        - [Flip-Flopper 2](./challenges/crypto/flipflopper_2.md)
        - [phiNED Yourself](./challenges/crypto/phined_yourself.md)
        - [Hotdog 1](./challenges/crypto/hotdog_1.md)
        - [Hotdog 2](./challenges/crypto/hotdog_2.md)
        - [National Broadcast](./challenges/crypto/national_broadcast.md)
        - [Re-Broadcast](./challenges/crypto/rebroadcast.md)
        - [Lose Your Head](./challenges/crypto/lose_your_head.md)
    - [Forensics](./challenges/forensics/index.md)
        - [Something Shady, Maybe *](./challenges/forensics/something_shady_maybe.md)
        - [Something Shady, Maybe 2 *](./challenges/forensics/something_shady_maybe_2.md)
        - [Something Shady, Maybe 3 *](./challenges/forensics/something_shady_maybe_3.md)
        - [Memory *](./challenges/forensics/memory.md)
        - [Memory 2 *](./challenges/forensics/memory_2.md)
        - [Memory 3 *](./challenges/forensics/memory_3.md)
        - [Memory 4 *](./challenges/forensics/memory_4.md)
        - [Memory 5 *](./challenges/forensics/memory_5.md)
        - [Look Closer](./challenges/forensics/look_closer.md)
        - [Look Closer 2 *](./challenges/forensics/look_closer_2.md)
        - [Look Closer 3](./challenges/forensics/look_closer_3.md)
        - [Look Closer 4](./challenges/forensics/look_closer_4.md)
        - [Look Closer 5](./challenges/forensics/look_closer_5.md)
        - [Look Closer 6](./challenges/forensics/look_closer_6.md)
        - [Waldo](./challenges/forensics/waldo.md)
        - [Waldo 2](./challenges/forensics/waldo_2.md)
    - [Misc](./challenges/misc/index.md)
        - [Decode](./challenges/misc/decode.md)
        - [JSON_Waterfalls 1](./challenges/misc/json_waterfalls_1.md)
        - [JSON_Waterfalls 2](./challenges/misc/json_waterfalls_2.md)
        - [JSON_Waterfalls 3](./challenges/misc/json_waterfalls_3.md)
        - [JSON_Waterfalls 4](./challenges/misc/json_waterfalls_4.md)
        - [JSON_Waterfalls 5](./challenges/misc/json_waterfalls_5.md)
        - [JSON_Waterfalls 6](./challenges/misc/json_waterfalls_6.md)
        - [Regular Crowd 1](./challenges/misc/regular_crowd_1.md)
        - [Regular Crowd 2](./challenges/misc/regular_crowd_2.md)
        - [Git Gud 0](./challenges/misc/git_gud_0.md)
        - [Git Gud 1](./challenges/misc/git_gud_1.md)
        - [Git Gud 2](./challenges/misc/git_gud_2.md)
        - [Git Gud 3](./challenges/misc/git_gud_3.md)
        - [Git Gud 4](./challenges/misc/git_gud_4.md)
        - [Git Gud 5](./challenges/misc/git_gud_5.md)
        - [Git Gud 6](./challenges/misc/git_gud_6.md)
        - [Git Gone](./challenges/misc/git_gone.md)
    - [Network Analysis](./challenges/net_analysis/index.md)
        - [Back to Basics *](./challenges/net_analysis/back_to_basics.md)
        - [Back to Basics 2 *](./challenges/net_analysis/back_to_basics_2.md)
        - [Back to Basics 3 *](./challenges/net_analysis/back_to_basics_3.md)
        - [Back to Basics 4 *](./challenges/net_analysis/back_to_basics_4.md)
        - [Back to Basics 5 *](./challenges/net_analysis/back_to_basics_5.md)
        - [Aurora *](./challenges/net_analysis/aurora.md)
        - [Aurora 2 *](./challenges/net_analysis/aurora_2.md)
        - [Aurora 3 *](./challenges/net_analysis/aurora_3.md)
        - [Aurora 4 *](./challenges/net_analysis/aurora_4.md)
        - [DeVoe *](./challenges/net_analysis/devoe.md)
        - [DeVoe 2 *](./challenges/net_analysis/devoe_2.md)
        - [DeVoe 3 *](./challenges/net_analysis/devoe_3.md)
        - [Rats *](./challenges/net_analysis/rats.md)
        - [Rats 2 *](./challenges/net_analysis/rats_2.md)
        - [Rats 3 *](./challenges/net_analysis/rats_3.md)
        - [Rats 4 *](./challenges/net_analysis/rats_4.md)
        - [Rats 5 *](./challenges/net_analysis/rats_5.md)
        - [Rats 6 *](./challenges/net_analysis/rats_6.md)
        - [Discovery](./challenges/net_analysis/discovery.md)
        - [Discovery 2](./challenges/net_analysis/discovery_2.md)
        - [Discovery 3](./challenges/net_analysis/discovery_3.md)
        - [Discovery 4](./challenges/net_analysis/discovery_4.md)
        - [Discovery 5](./challenges/net_analysis/discovery_5.md)
        - [Discovery 6](./challenges/net_analysis/discovery_6.md)
        - [Discovery 7](./challenges/net_analysis/discovery_7.md)
        - [Discovery 8](./challenges/net_analysis/discovery_8.md)
        - [Discovery 9](./challenges/net_analysis/discovery_9.md)
        - [Discovery 10](./challenges/net_analysis/discovery_10.md)
        - [Discovery 11](./challenges/net_analysis/discovery_11.md)
        - [Discovery 12](./challenges/net_analysis/discovery_12.md)
        - [Discovery 13](./challenges/net_analysis/discovery_13.md)
        - [ticked.off.developer.f1 *](./challenges/net_analysis/ticked_off_developer_f1.md)
       	- [ticked.off.developer.f2 *](./challenges/net_analysis/ticked_off_developer_f2.md)
        - [ticked.off.developer.f3 *](./challenges/net_analysis/ticked_off_developer_f3.md)
        - [ticked.off.developer.f4 *](./challenges/net_analysis/ticked_off_developer_f4.md)
        - [ticked.off.developer.f5 *](./challenges/net_analysis/ticked_off_developer_f5.md)
        - [ticked.off.developer.f6 *](./challenges/net_analysis/ticked_off_developer_f6.md)
    - [*NIX Analysis](./challenges/nix_analysis/index.md)
        - [All Your Base Are Belong to Root](./challenges/nix_analysis/all_your_base_are_belong_to_root.md)
        - [All Your Base Are Belong to Root 2](./challenges/nix_analysis/all_your_base_are_belong_to_root_2.md)
    - [Programming](./challenges/programming/index.md)
        - [Caesars Transmission *](./challenges/programming/caesars_transmission.md)
        - [Dem Aliens *](./challenges/programming/dem_aliens.md)
        - [Dem Aliens 2 *](./challenges/programming/dem_aliens_2.md)
        - [Dem Aliens 3 *](./challenges/programming/dem_aliens_3.md)
        - [Dem Aliens 4 *](./challenges/programming/dem_aliens_4.md)
        - [Dem Aliens 5 *](./challenges/programming/dem_aliens_5.md)
        - [Dem Aliens 6 *](./challenges/programming/dem_aliens_6.md)
        - [Dem Aliens 7 *](./challenges/programming/dem_aliens_7.md)
        - [Dem Aliens 8 *](./challenges/programming/dem_aliens_8.md)
        - [Dem Aliens 9 *](./challenges/programming/dem_aliens_9.md)
        - [Dem Aliens 10 *](./challenges/programming/dem_aliens_10.md)
        - [echo1 *](./challenges/programming/echo1.md)
        - [echo2 *](./challenges/programming/echo2.md)
        - [ipaddresses *](./challenges/programming/ipaddresses.md)
        - [ipaddresses 2 *](./challenges/programming/ipaddresses_2.md)
        - [Horse Code *](./challenges/programming/hoarse_code.md)
        - [Horse Code - Hard *](./challenges/programming/hoarse_code_hard.md)
    - [Reverse Engineering](./challenges/reverse_engineering/index.md)
        - [Beginning RE](./challenges/reverse_engineering/beginning_re.md)
        - [Beginning RE 2](./challenges/reverse_engineering/beginning_re_2.md)
        - [Beginning RE 3 *](./challenges/reverse_engineering/beginning_re_3.md)
        - [Beginning RE 4 *](./challenges/reverse_engineering/beginning_re_4.md)
        - [Beginning RE 5 *](./challenges/reverse_engineering/beginning_re_5.md)
        - [Beginning RE 6 *](./challenges/reverse_engineering/beginning_re_6.md)
        - [TrollyMcTrollFace](./challenges/reverse_engineering/trollymctollface.md)
        - [CrackME 01 *](./challenges/reverse_engineering/crackme_01.md)
        - [CrackME 02 *](./challenges/reverse_engineering/crackme_02.md)
        - [CrackME 03 *](./challenges/reverse_engineering/crackme_03.md)
        - [REtroll *](./challenges/reverse_engineering/retroll.md)
        - [REtroll 2 *](./challenges/reverse_engineering/retroll_2.md)
        - [REtroll 3 *](./challenges/reverse_engineering/retroll_3.md)
        - [REtroll 4 *](./challenges/reverse_engineering/retroll_4.md)
        - [Phash *](./challenges/reverse_engineering/phash.md)
        - [Phash 2 *](./challenges/reverse_engineering/phash_2.md)
        - [Phash 3 *](./challenges/reverse_engineering/phash_3.md)
        - [Phash 4 *](./challenges/reverse_engineering/phash_4.md)
    - [Steganography](./challenges/steganography/index.md)
        - [A Tale of Two Spies](./challenges/steganography/a_tale_of_two_spies.md)
        - [A Tale of Two Spies 2](./challenges/steganography/a_tale_of_two_spies_2.md)
        - [A Tale of Two Spies 3](./challenges/steganography/a_tale_of_two_spies_3.md)
        - [A Tale of Two Spies 4](./challenges/steganography/a_tale_of_two_spies_4.md)
        - [A Tale of Two Spies 5](./challenges/steganography/a_tale_of_two_spies_5.md)
        - [A Tale of Two Spies 6](./challenges/steganography/a_tale_of_two_spies_6.md)
